receiptInvoice retrieval API

Retrieves the invoice details.

get

Retrieves the invoice details.

This endpoint retrieves the invoice details for the specified invoice ID or order ID for specific merchant.

Returns the invoice details.

Invoice fields

  • id (string): Unique invoice identifier.

  • amount (number): The amount to deposit.

  • baseCurrency (string): The base currency of the deposit.

  • paymentCurrency (string | null): The payment currency of the deposit.

  • customerId (string): The customer ID in your system.

  • orderId (string | null): The associated order ID in your system.

  • status (string): The current status of the invoice. Possible values: created, active, processing, canceled.

  • createdAt (string): The date and time when the invoice was created, in ISO 8601 format.

  • paymentUrl (string): The URL to which the customer will be redirected after completing checkout.

  • type (string): The type of the invoice. Possible values: deposit.

  • accountId (string): The merchant's account ID.

  • strategy (string): The invoice strategy. Possible values: floating, fixed.

  • transactions (array): List of transactions associated with this invoice, ordered by creation date (newest first). Each transaction contains: id, createdAt, type, status.

Authorizations
x-api-keystringRequired
Path parameters
invoiceIdstringRequired
  • The invoice identifier or order ID.
Responses
chevron-right
200

OK

application/json

The AppSuccessResponse object contains general information about the success execution.

successbooleanRequiredDefault: true
get
/invoices/{invoiceId}

Last updated